%define		_disable_ld_no_undefined 1
%define		libname %mklibname %{name}

Name:		yarock
Version:	1.5.0
Release:	%mkrel 3
Summary:	Modern and elegant Linux music player
Group:		Sound/Players
License:	GPLv3
URL:		https://launchpad.net/yarock
# https://launchpad.net/yarock/1.x/%%{version}/+download/Yarock_%%{version}_Sources.tar.gz#/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/sebaro/Yarock/archive/%{version}/%{name}-%{version}.tar.gz

Patch1:		yarock-1.5.0-remove-version-from-desktop-file.patch
Patch2:		yarock-taglib-2.0.patch

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Phonon4Qt6)
BuildRequires:	pkgconfig(taglib) >= 2
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(mpv)
BuildRequires:	htmlcxx
BuildRequires:	pkgconfig(htmlcxx)
BuildRequires:	pkgconfig(sqlite3)
Requires:	qt6-database-plugin-sqlite
Recommends:	%{libname}-mpv = %{version}-%{release}
Recommends:	%{libname}-qtmultimedia = %{version}-%{release}
Recommends:	%{libname}-phonon = %{version}-%{release}
Recommends:	%{libname}-vlc = %{version}-%{release}

%description
Yarock is a modern looking music player, packed with features, that doesn't
depend on any specific desktop environment. Yarock is designed to provide
an easy and pretty music browser based on cover art. Yarock is easy to build
with a minimal set of dependencies, and offers the choice of different audio
back-ends.

%package -n	%{libname}-mpv
Summary:	The MPV audio back-end library for Yarock

%description -n	%{libname}-mpv
The MPV audio back-end library for Yarock.

%package -n	%{libname}-qtmultimedia
Summary:	The QtMultimedia audio back-end library for Yarock

%description -n	%{libname}-qtmultimedia
The QtMultimedia audio back-end library for Yarock.

%package -n	%{libname}-phonon
Summary:	The Phonon audio back-end library for Yarock

%description -n	%{libname}-phonon
The Phonon audio back-end library for Yarock.

%package -n	%{libname}-vlc
Summary:	The VLC audio back-end library for Yarock

%description -n	%{libname}-vlc
The VLC audio back-end library for Yarock.

%prep
%autosetup -p1 -n Yarock-%{version}

%build
%cmake_qt6 \
	-DENABLE_VLC=ON \
	-DENABLE_MPV=ON \
	-DENABLE_PHONON=ON \
	-DENABLE_QTMULTIMEDIA=ON \
	-DCMAKE_INSTALL_TRANS=%{_qt6_translationdir}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_qt6_translationdir}
mv %{buildroot}%{_datadir}/%{name}/translations/* %{buildroot}%{_qt6_translationdir}/
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%{_bindir}/%{name}
%{_metainfodir}/org.yarock.metainfo.xml
%{_datadir}/pixmaps/application-x-yarock.png
%{_datadir}/applications/org.yarock.desktop
%{_iconsdir}/hicolor/*/apps/application-x-yarock.*
%{_qt6_translationdir}/%{name}*.qm

%files -n	%{libname}-mpv
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libenginempv.so

%files -n	%{libname}-qtmultimedia
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libengineqtmultimedia.so

%files -n       %{libname}-phonon
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libenginephonon.so

%files -n       %{libname}-vlc
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libenginevlc.so


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.5.0-3.mga10
+ Revision: 2228804
- Mageia 10 Mass Rebuild

* Wed Oct 09 2024 daviddavid <daviddavid> 1.5.0-2.mga10
+ Revision: 2104312
- switch to taglib 2.0

* Tue Oct 08 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2104106
- new version: 1.5.0 (new fork at https://github.com/sebaro/Yarock)
- switch to Qt6
- build with taglib1

* Sun Nov 13 2022 kekepower <kekepower> 1.4.0-5.mga9
+ Revision: 1906842
- Rebuild for new mpv 0.35.0

* Tue Apr 05 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1844258
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat Feb 15 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1525185
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1385331
- Qt5 Rebuild

* Sat Mar 23 2019 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1379754
- Update to version 1.4.0

* Sun Sep 23 2018 umeabot <umeabot> 3.mga7-current
+ Revision: 1302020
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 kekepower <kekepower> 1.3.1-2.mga7
+ Revision: 1207525
- Rebuild for new Qt5 and Phonon

* Mon Feb 12 2018 kekepower <kekepower> 1.3.1-1.mga7
+ Revision: 1200746
- Add patch to remove Version from yarock.desktop
- Add patch for phonon4qt5
- Update to version 1.3.1
- My patches accepted upstream
- Fixed the Source0 URL
- Removed unused line
- imported package yarock

